$.extend(FS.Design.op, {

    12306: function (designContainer) {
        FS.LexMessage.init(designContainer);
    }
});
FS.LexMessage = {
    init: function (renderer) {
        this.user = new FS.LTabPane({
            width: '100%',
            height: '100%',
            style: 'blue',
            top: 15,
            left: 20,
            marginLeft: 40,
            items: [
                {title: FR.i18nText('My-Message_Message_Add'), content: this._createAddMessage()},
                {title: "消息列表", content: $("<div>待实现</div>")}
            ],
            renderEl: renderer
        })
    },

    _createAddMessage: function () {
        return {
            type: 'tablepane',
            rowSize: [24, 24, 24, 24],
            colSize: [60, 300],
            vgap: 20,
            items: [
                [{type: 'llabel', value: '用户'}, {type: 'text', widgetName: 'username'}],
                [{type: 'llabel', value: '消息'}, {type: 'text', widgetName: 'message'}],
                [{type: 'llabel', value: '地址'}, {type: 'text', widgetName: 'url'}],
                [{}, {type: 'quickbutton', text: '提交', style: 'blue', handler: this._addHandler.createDelegate(this)}]
            ]
        };
    },

    _addHandler: function () {
        var user = this.user;
        FR.ajax({
            url: FR.servletURL + "?op=lex_message&cmd=add",
            data: {
                username: user.getWidgetByName('username').getValue(),
                message: user.getWidgetByName('message').getValue(),
                url: user.getWidgetByName('url').getValue()
            },
            complete: function (res, status) {
                var result = FR.jsonDecode(res.responseText);
                if (result.error) {
                    FR.Msg.toast(result.error);
                } else {
                    FR.Msg.toast("提交成功");
                }
            }
        });
    }
}